GET /services

mbta.com:boston-mbta-transit

Summary:
Operation ID: ApiWeb.ServiceController.index
Auth: unknown

Parameters (6)

fields[service] (string, query, optional)

Fields to include with the response. Multiple fields **MUST** be a comma-separated (U+002C COMMA, ",") list. Note that fields can also be selected for included data types: see the [V3 API Best Practices](https://www.mbta.com/developers/v3-api/best-practices) for an example.

filter[id] (string, query, optional)

Filter by multiple IDs. **MUST** be a comma-separated (U+002C COMMA, ",") list.

filter[route] (string, query, optional)

Filter by route. Multiple `route` **MUST** be a comma-separated (U+002C COMMA, ",") list.

page[limit] (integer, query, optional)

Max number of elements to return

page[offset] (integer, query, optional)

Offset (0-based) of first element in the page

sort (string, query, optional)

Results can be [sorted](http://jsonapi.org/format/#fetching-sorting) by the id or any `/data/{index}/attributes` key. Assumes ascending; may be prefixed with '-' for descending | JSON pointer | Direction | `sort` | |--------------|-----------|------------| | `/data/{index}/attributes/added_date...

Constraints: {'enum': ['added_dates', '-added_dates', 'added_dates_notes', '-added_dates_notes', 'description', '-description', 'end_date', '-end_date', 'rating_description', '-rating_description', 'rating_end_date', '-rating_end_date', 'rating_start_date', '-rating_start_date', 'removed_dates', '-removed_dates', 'removed_dates_notes', '-removed_dates_notes', 'schedule_name', '-schedule_name', 'schedule_type', '-schedule_type', 'schedule_typicality', '-schedule_typicality', 'start_date', '-start_date', 'valid_days', '-valid_days']}

No probe data for this endpoint yet.